Get a customer's balance link
GET
/invoices/balance-link
const url = 'https://example.com/invoices/balance-link?customerId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/invoices/balance-link?customerId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>The customer’s own link for paying every unpaid invoice they were offered a card link for, in one card payment, and what it would pay now. The link is null unless two or more invoices are due.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”customerId
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Responses
Section titled “Responses”What the balance link would pay
Media typeapplication/json
object
customerId
required
UUID v7
string format: uuid
invoices
required
integer
amountPence
required
integer
url
required
string | null
Example
{ "customerId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such customer
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}